#include <iostream>
#include <circulo.h>
#include <cuadrado.h>
#include <rectangulo.h>
#include <triangulo.h>

int mostrarArea(CFigura *);

int main()
{
    CCirculo rueda(1);
    CCuadrado ventana(2);
    CRectangulo sala(3);
    CTriangulo arbol(4);

    rueda.asignarRadio(1.0);
    ventana.asignarLado(0.25);
    sala.asignarAltura(3.5);
    sala.asignarBase(4.0);
    arbol.asignarAltura(2.25);
    arbol.asignarBase(1.5);

    std::cout << "Areas:\n";
    std::cout << "Area de la rueda " << rueda.verID() << " : "<< rueda.area() << '\n';
    std::cout << "Area de la ventana " << ventana.verID() << " : " << ventana.area() << '\n';
    std::cout << "Area de la sala " << sala.verID() << " : " << sala.area() << '\n';
    std::cout << "Area del arbol " << arbol.verID() << " : " << arbol.area() << '\n';

    std::cout << "Usando la función generica paras mostrar areas de figuras:\n";
    mostrarArea((CFigura *) &rueda);
    mostrarArea((CFigura *) &ventana);
    mostrarArea((CFigura *) &sala);
    mostrarArea((CFigura *) &arbol);

    return(0);
}


int mostrarArea(CFigura* fig){
 std::cout << "Area de la figura " << fig->verID() << " : "<< fig->area() << '\n';

 return(0);
}

