#ifndef CUADRADOH
#define CUADRADOH
/**
 @file cuadrado.h
 @brief Declaración de la clase cuadrado
 @author R. Rivas
         rafael@ula.ve

 @date Junio, 2012
 @version 1.2
*/
#include <cuadrilatero.h>
/**
 @brief Clase CCuadrado especialización de cuadrilatero
*/
class CCuadrado: public CCuadrilatero {
  private:
    float lado; /// Tamaño del lado
  public:
    CCuadrado(unsigned int id = 0);
    CCuadrado(const CCuadrado&);
    ~CCuadrado(){}

    /**
     @brief Observador del lado del cuadrado
     return lado del cuadrado
    */
    inline unsigned int  verLado() const
    {
       return(this->lado);
    }
    float asignarLado(float);
    float area() const;

};

#endif
