/**
 @file figura.cpp
 @brief Definición de los métodos de la clase CFigura

*/
#include<figura.h>
/**
 @brief Constructor por defecto
*/
CFigura::CFigura(unsigned int id){
   this->id = id;

   return;
}

/**
 @brief Constructor por copia, asigna el nro actual de figura
*/
CFigura::CFigura(const CFigura& f){
   this->id = f.id;

   return;
}


/**
  @brief Asignar el ID de la figura
  @param id valor a asignar en el ID de la figura
  @return ID asignado a la figura
*/
  unsigned int CFigura::asignarID(unsigned int id){
    this->id = id;
    
    return(id);
}
